CVE-2001-1384

Current Description

ptrace in Linux 2.2.x through 2.2.19, and 2.4.x through 2.4.9, allows local users to gain root privileges by running ptrace on a setuid or setgid program that itself calls an unprivileged program, such as newgrp.

Basic Data

PublishedOctober 18, 2001
Last ModifiedOctober 18, 2016
Assignercve@mitre.org
Data TypeCVE
Data FormatMITRE
Data Version4.0
Problem TypeNVD-CWE-Other
CVE Data Version4.0

Base Metric V2

CVSS 2 - Version2.0
CVSS 2 - Vector StringAV:L/AC:L/Au:N/C:C/I:C/A:C
CVSS 2 - Access VectorLOCAL
CVSS 2 - Access ComplexityLOW
CVSS 2 - AuthenticationNONE
CVSS 2 - Confidentiality ImpactCOMPLETE
CVSS 2 - Availability ImpactCOMPLETE
CVSS 2 - Base Score7.2
SeverityHIGH
Exploitability Score3.9
Impact Score10.0
Obtain All Privilegetrue
Obtain User Privilegefalse
Obtain Other Privilegefalse

Base Metric V3

No data provided.

Configurations

  • OR - Configuration 1
    Cpe VersionPartVendorProductVersionUpdateEditionLanguageSW EditionTarget SWTarget HWOtherVersion Start IncludingVersion End IncludingVersion Start ExcludingVersion End Excluding
    2.3OSLinuxLinux Kernel2.2.0*******
    2.3OSLinuxLinux Kernel2.2.1*******
    2.3OSLinuxLinux Kernel2.2.2*******
    2.3OSLinuxLinux Kernel2.2.3*******
    2.3OSLinuxLinux Kernel2.2.4*******
    2.3OSLinuxLinux Kernel2.2.5*******
    2.3OSLinuxLinux Kernel2.2.6*******
    2.3OSLinuxLinux Kernel2.2.7*******
    2.3OSLinuxLinux Kernel2.2.8*******
    2.3OSLinuxLinux Kernel2.2.9*******
    2.3OSLinuxLinux Kernel2.2.10*******
    2.3OSLinuxLinux Kernel2.2.11*******
    2.3OSLinuxLinux Kernel2.2.12*******
    2.3OSLinuxLinux Kernel2.2.13*******
    2.3OSLinuxLinux Kernel2.2.14*******
    2.3OSLinuxLinux Kernel2.2.15*******
    2.3OSLinuxLinux Kernel2.2.16*******
    2.3OSLinuxLinux Kernel2.2.17*******
    2.3OSLinuxLinux Kernel2.2.18*******
    2.3OSLinuxLinux Kernel2.2.19*******
    2.3OSLinuxLinux Kernel2.4.2*******
    2.3OSLinuxLinux Kernel2.4.3*******
    2.3OSLinuxLinux Kernel2.4.7*******
    2.3OSLinuxLinux Kernel2.4.8*******
    2.3OSLinuxLinux Kernel2.4.9*******
    2.3OSLinuxLinux Kernel2.4.10*******

Vulnerable Software List

VendorProductVersions
Linux Linux Kernel 2.2.0, 2.2.1, 2.2.10, 2.2.11, 2.2.12, 2.2.13, 2.2.14, 2.2.15, 2.2.16, 2.2.17, 2.2.18, 2.2.19, 2.2.2, 2.2.3, 2.2.4, 2.2.5, 2.2.6, 2.2.7, 2.2.8, 2.2.9, 2.4.10, 2.4.2, 2.4.3, 2.4.7, 2.4.8, 2.4.9

References

NameSourceURLTags
CSSA-2001-036.0ftp://ftp.caldera.com/pub/security/OpenLinux/CSSA-2001-036.0.txtCALDERA
IMNX-2001-70-035-01http://download.immunix.org/ImmunixOS/7.0/updates/IMNX-2001-70-035-01IMMUNIX
20011018 Flaws in recent Linux kernelshttp://marc.info/?l=bugtraq&m=100343090106914&w=2BUGTRAQ
20011019 TSLSA-2001-0028http://marc.info/?l=bugtraq&m=100350685431610&w=2BUGTRAQ
HPSBTL0112-003http://online.securityfocus.com/advisories/3713HP
linux-ptrace-race-condition(7311)http://www.iss.net/security_center/static/7311.phpXFPatch Vendor Advisory
MDKSA-2001:079http://www.linux-mandrake.com/en/security/2001/MDKSA-2001-079.php3MANDRAKE
MDKSA-2001:082http://www.linux-mandrake.com/en/security/2001/MDKSA-2001-082.php3MANDRAKE
ESA-20011019-02http://www.linuxsecurity.com/advisories/other_advisory-1650.htmlENGARDEPatch Vendor Advisory
SuSE-SA:2001:036http://www.novell.com/linux/security/advisories/2001_036_kernel_txt.htmlSUSE
RHSA-2001:129http://www.redhat.com/support/errata/RHSA-2001-129.htmlREDHAT
RHSA-2001:130http://www.redhat.com/support/errata/RHSA-2001-130.htmlREDHAT
3447http://www.securityfocus.com/bid/3447BID